## calligra 2.9.11+dfsg

=== CMakeLists.txt ===
project(calligra)

cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)

cmake_policy(SET CMP0002 OLD)
#cmake_policy CMP0017 was introduced in version 2.8.4
if(${CMAKE_VERSION} VERSION_GREATER 2.8.3)
    cmake_policy(SET CMP0017 NEW)
endif()

if(${CMAKE_VERSION} VERSION_GREATER 2.8.12)
    cmake_policy(SET CMP0022 OLD)
endif()

if(${CMAKE_VERSION} VERSION_GREATER 3.0.0)
    cmake_policy(SET CMP0026 OLD) 
    cmake_policy(SET CMP0046 OLD)
endif()



 ######################
#######################
## Constants defines ##
#######################
######################

# define common versions of Calligra applications, used to generate calligraversion.h
# update these version for every release:
set(CALLIGRA_VERSION_STRING "2.9.11")
set(CALLIGRA_VERSION_MAJOR 2)
set(CALLIGRA_STABLE_VERSION_MINOR 9)
set(CALLIGRA_VERSION_RELEASE 11)  # 89 for Alpha, increase for next test releases, set 0 for first Stable, etc.
#set(CALLIGRA_ALPHA 1) # uncomment only for Alpha
#set(CALLIGRA_BETA 1) # uncomment only for Beta
#set(CALLIGRA_RC 1) # uncomment only for RC
set(CALLIGRA_YEAR 2016) # update every year

if(NOT DEFINED CALLIGRA_ALPHA AND NOT DEFINED CALLIGRA_BETA AND NOT DEFINED CALLIGRA_RC)
    set(CALLIGRA_STABLE 1) # do not edit
endif()

message(STATUS "Calligra version: ${CALLIGRA_VERSION_STRING}")

# define the generic version of the Calligra libraries here
# this makes it easy to advance it when the next Calligra release comes
if(CALLIGRA_VERSION_MAJOR EQUAL 2)
    math(EXPR GENERIC_CALLIGRA_LIB_VERSION_MAJOR "${CALLIGRA_STABLE_VERSION_MINOR} + 5")
else()
    # let's make sure we won't forget to update the "5"
    message(FATAL_ERROR "Reminder: please update offset == 5 used to compute GENERIC_CALLIGRA_LIB_VERSION_MAJOR to something bigger")
endif()
set(GENERIC_CALLIGRA_LIB_VERSION "${GENERIC_CALLIGRA_LIB_VERSION_MAJOR}.0.0")
set(GENERIC_CALLIGRA_LIB_SOVERSION "${GENERIC_CALLIGRA_LIB_VERSION_MAJOR}")

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# fetch git revision for the current build

set(CALLIGRA_GIT_SHA1_STRING "")
set(CALLIGRA_GIT_BRANCH_STRING "")

include(GetGitRevisionDescription)
get_git_head_revision(GIT_REFSPEC GIT_SHA1)
get_git_branch(GIT_BRANCH)

if(GIT_SHA1 AND GIT_BRANCH)
    string(SUBSTRING ${GIT_SHA1} 0 7 GIT_SHA1)
    set(CALLIGRA_GIT_SHA1_STRING ${GIT_SHA1})
    set(CALLIGRA_GIT_BRANCH_STRING ${GIT_BRANCH})
endif()

if(NOT DEFINED RELEASE_BUILD)
    # estimate mode by CMAKE_BUILD_TYPE content if not set on cmdline
    string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
    set(RELEASE_BUILD_TYPES "release" "relwithdebinfo" "minsizerel")
    list(FIND RELEASE_BUILD_TYPES "${CMAKE_BUILD_TYPE_TOLOWER}" INDEX)
    if (INDEX EQUAL -1)
        set(RELEASE_BUILD FALSE)
    else()
        set(RELEASE_BUILD TRUE)
    endif()
endif()
message(STATUS "Release build: ${RELEASE_BUILD}")

 ############
#############
## Options ##
#############
############

option(USEOPENGL "Allow the use of OpenGL for Krita" ON)
if (WIN32)
    option(USE_BREAKPAD "Build the crash handler for Krita (only on windows)" OFF)
endif ()
option(GHNS "support Get Hot New Stuff" OFF)
# TODO: orthogonal setting, results in minimal features, yet needs to be defined
# option(TINY "compile a tiny Calligra" OFF)

option(PACKAGERS_BUILD "Build support of multiple CPU architectures in one binary. Should be used by packagers only." ON)

# TODO: remove option and migration code below before 3.0 release
option(CREATIVEONLY "compile only Karbon and Krita" OFF)

 #######################
########################
## Productset setting ##
########################
#######################

# For predefined productsets see the definitions in CalligraProducts.cmake and
# in the files in the folder cmake/productsets.

# Finding out the products & features to build is done in 5 steps:
# 1. have the user define the products/features wanted, by giving a productset
# 2. estimate all additional required products/features
# 3. estimate which of the products/features can be build by external deps
# 4. find which products/features have been temporarily disabled due to problems
# 5. estimate which of the products/features can be build by internal deps

# get the special macros
include(CalligraProductSetMacros)
include(MacroJPEG)

# get the definitions of products, features and product sets
include(CalligraProducts.cmake)

set(PRODUCTSET_DEFAULT "ALL")
# temporary migration support
if (CREATIVEONLY)
    set(WARN_ABOUT_CREATIVEONLY TRUE)
    set(PRODUCTSET_DEFAULT "CREATIVE")
endif ()

if(NOT PRODUCTSET)
    set(PRODUCTSET ${PRODUCTSET_DEFAULT} CACHE STRING "Set of products/features to build" FORCE)
endif()

if (RELEASE_BUILD)
    set(CALLIGRA_SHOULD_BUILD_STAGING FALSE)
else ()
    set(CALLIGRA_SHOULD_BUILD_STAGING TRUE)
endif ()

# finally choose products/features to build
calligra_set_productset(${PRODUCTSET})

 ########################
#########################
## Look for KDE and Qt ##
#########################
########################
set(KDE_MIN_VERSION "4.3.0")
find_package(KDE4 4.3.0 REQUIRED)

find_package(Qt4 4.6.0 REQUIRED QtCore QtGui QtXml QtScript QtSvg QtTest QtWebKit QtDBus)

if (USEOPENGL)
    find_package(Qt4 4.6.0 REQUIRED QtOpenGL)
endif ()


include (KDE4Defaults)
include (MacroLibrary)
include (MacroAdditionalCleanFiles)
include (MacroAddFileDependencies)

if ((${QTVERSION} VERSION_EQUAL 4.8.0) OR (${QTVERSION} VERSION_EQUAL 4.8.1))
    if (NOT IHAVEPATCHEDQT)
        set(SHOULD_BUILD_PART_WORDS FALSE)
        set(SHOULD_BUILD_PART_STAGE FALSE)
        set(SHOULD_BUILD_PLUGIN_TEXTSHAPE FALSE)
        set(SHOULD_BUILD_PLUGIN_TEXTEDITING FALSE)
        message(STATUS "WARNING: You are using a version of Qt that causes crashes. As a result Words and Stage will not be built. Please upgrade to 4.8.2. You can also patch Qt and when building Calligra set IHAVEPATCHEDQT. Patch against Qt can be found in qt48setx.patch")
    endif ()
endif ()

if (GHNS)
    if(NOT ${KDE_VERSION} VERSION_GREATER 4.4.0)
        set(GHNS FALSE)
    endif()

    macro_optional_find_package(LibAttica)
    macro_log_feature(LIBATTICA_FOUND "LibAttica" "Attica is used for Get Hot New Stuff." "https://projects.kde.org/projects/kdesupport/attica" FALSE "" "You need at least version 3.0 for uploading of resources to work.")

    if (NOT LIBATTICA_FOUND)
        set(GHNS FALSE)
    else ()
        message(STATUS "WARNING: You are compiling with Get Hot New Stuff enabled. Do not do that when building distribution packages. GHNS is unusable these days until someone starts maintaining it again.")
    endif ()
endif ()

macro_ensure_out_of_source_build("Compiling Calligra inside the source directory is not possible. Please refer to the build instruction http://community.kde.org/Calligra/Building/Building_Calligra")

if(KDE4_BUILD_TESTS)
    # only with this definition will the FOO_TEST_EXPORT macro do something
    add_definitions(-DCOMPILING_TESTS)
endif()

# overcome some platform incompatibilities
if(WIN32)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/winquirks)
    add_definitions(-D_USE_MATH_DEFINES)
    add_definitions(-DNOMINMAX)
    set(WIN32_PLATFORM_NET_LIBS ws2_32.lib netapi32.lib)
endif()

# would need more code changes before 4.8.0, e.g. with qPrintable()
if(NOT ${QTVERSION} VERSION_LESS 4.8.0)
    # enable QStringBuilder enhancement
    add_definitions(
        -DQT_USE_FAST_CONCATENATION
        -DQT_USE_FAST_OPERATOR_PLUS
    )
endif()


 ###########################
############################
## Required dependencies  ##
############################
###########################

find_package(Perl REQUIRED)
find_package(ZLIB REQUIRED)
find_package(PNG REQUIRED)
if (APPLE)
    # this is not added correctly on OSX -- see http://forum.kde.org/viewtopic.php?f=139&t=101867&p=221242#p221242
    include_directories(${PNG_INCLUDE_DIR})
endif()

add_definitions(-DBOOST_ALL_NO_LIB)
find_package(Boost REQUIRED COMPONENTS system) # for pigment and stage
if (NOT Boost_FOUND)
    message(FATAL_ERROR "Did not find Boost. Boost is required for the core libraries, stage, sheets and krita.")
endif ()

if (APPLE)
   find_package(Carbon REQUIRED)
endif ()

 ###########################
############################
## Optional dependencies  ##
############################
###########################

##
## Test for sqlite
##
set(SQLITE_MIN_VERSION 3.6.16)
set(SQLITE_RECOMMENDED_VERSION 3.8.11)
set(SQLITE_LOAD_EXTENSION_REQUIRED ON)
macro_optional_find_package(CalligraSqlite ${SQLITE_MIN_VERSION})
macro_bool_to_01(SQLITE_FOUND HAVE_SQLITE)
macro_log_feature(SQLITE_FOUND "SQLite" "Embedded SQL database engine with enabled extensions loading"
                  "http://www.sqlite.org" FALSE "${SQLITE_MIN_VERSION}"
                  "Required by Calligra's default database handler for Kexi and bibliography in Words.")

##
## Test for ICU
##
macro_optional_find_package(ICU)
macro_bool_to_01(ICU_FOUND HAVE_ICU)
macro_log_feature(ICU_FOUND "ICU" "International Components for Unicode (ICU) Library"
                  "http://icu-project.org" FALSE ""
                  "Required by Calligra's default database handler for Kexi and Words.")

##
## Check for OpenEXR
##

macro_optional_find_package(OpenEXR)
macro_bool_to_01(OPENEXR_FOUND HAVE_OPENEXR)
macro_log_feature(OPENEXR_FOUND "OpenEXR" "High dynamic-range (HDR) image file format" "http://www.openexr.com" FALSE "" "Required by the Krita OpenEXR filter")

##
## Look for OpenGL
##
set(HAVE_OPENGL 0)
if (USEOPENGL)
    macro_optional_find_package(OpenGL)

    if(OPENGL_FOUND)
        message(STATUS "Found OpenGL: ${OPENGL_LIBRARIES}")
        if(QT_QTOPENGL_FOUND)
            message(STATUS "Found Qt OpenGL support")
            set(HAVE_OPENGL 1)
        else()
            message(STATUS "Did NOT find Qt OpenGL support. Check your Qt configuration")
        endif()
    else()
        message(STATUS "Did NOT find OpenGL libraries")
    endif()
    macro_log_feature(HAVE_OPENGL "OpenGL" "OpenGL support" "" FALSE "" "Required by Gemini, parts of Krita and optionally by flake")
endif()

##
## Test for GNU Scientific Library
##
macro_optional_find_package(GSL)
macro_log_feature(GSL_FOUND "GSL" "GNU Scientific Library" "http://www.gnu.org/software/gsl"
                  FALSE "1.7" "Required by Krita's Transform tool and Sheets' solver plugin")
macro_bool_to_01(GSL_FOUND HAVE_GSL)
configure_file(config-gsl.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-gsl.h )

##
## Test for kdepimlibs
##
macro_optional_find_package(KdepimLibs 4.6.0)
macro_log_feature(KDEPIMLIBS_FOUND "KDE PIMLibs" "KDE Personal Information Management Libraries" "http://www.kde.org/" FALSE "" "Required by Plan and the KDE address book integration (available as a module in KDE)")

##
## Test for eigen3
##
macro_optional_find_package(Eigen3)
macro_log_feature(EIGEN3_FOUND "Eigen" "C++ template library for linear algebra" "http://eigen.tuxfamily.org" FALSE "3.0" "Required by Calligra Sheets and Krita")

##
## Test for QCA2
##
macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0" "Required for encrypted OpenDocument files and encrypted xls files support (available as a module in kdesupport)")

##
## Test for exiv2
##
set(EXIV2_MIN_VERSION "0.16")
macro_optional_find_package(Exiv2)
macro_log_feature(EXIV2_FOUND "Exiv2" "Image metadata library and tools" "http://www.exiv2.org" FALSE "0.16" "Required by Krita")

##
## Test for soprano
##
macro_optional_find_package(Soprano)
macro_log_feature(Soprano_FOUND "Soprano" "KDE4 RDF handling library" "http://soprano.sourceforge.net/" FALSE "" "Required to handle RDF metadata in ODF")
if(NOT Soprano_FOUND)
    set(SOPRANO_INCLUDE_DIR "")
endif()


##
## Test for marble
##
set(MARBLE_MIN_VERSION "0.19.2")
macro_optional_find_package(CalligraMarble)
if(NOT MARBLE_FOUND)
    set(CAN_USE_MARBLE FALSE)
    set(MARBLE_INCLUDE_DIR "")
else()
    set(CAN_USE_MARBLE TRUE)
    add_definitions( -DCAN_USE_MARBLE )

=== filters/CMakeLists.txt ===
include(CheckIncludeFiles)

# for xpdf:
check_include_files(ndir.h HAVE_NDIR_H)
check_include_files(sys/dir.h HAVE_SYS_DIR_H)
check_include_files(sys/ndir.h HAVE_SYS_NDIR_H)
check_include_files(dirent.h HAVE_DIRENT_H)
# others:
check_include_files(ieeefp.h HAVE_IEEEFP_H)
check_include_files(dirent.h HAVE_DIRENT_H)
check_include_files(string.h HAVE_STRING_H)
check_include_files(strings.h HAVE_STRINGS_H)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-filters.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-filters.h )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

if(SHOULD_BUILD_LIB_KOODF2)
    add_subdirectory( libodf2 )
endif()

if(SHOULD_BUILD_LIB_KOODFREADER)
    add_subdirectory(libodfreader)
endif()

if(SHOULD_BUILD_LIB_MSO)
    add_subdirectory(libmso)
endif()

if(SHOULD_BUILD_LIB_KOMSOOXML)
    add_subdirectory( libmsooxml )
endif()

add_subdirectory(words)
add_subdirectory(stage)
add_subdirectory(sheets)
add_subdirectory(flow)
add_subdirectory(plan)
add_subdirectory(karbon)

=== kexi/CMakeLists.txt ===
project(kexi)

include(CheckFunctionExists)

set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

option(KEXI_MOBILE "Compile a mobile version of Kexi" OFF)

check_function_exists("uname" HAVE_UNAME)

option(KEXI_DEBUG_GUI "Debugging GUI for Kexi (requires CALLIGRADB_DEBUG_GUI to be set too)" OFF)
option(KEXI_SHOW_UNFINISHED, "Show unfinished features in Kexi. Thus is useful for testing but may confuse end-user." OFF)
option(KEXI_SHOW_UNIMPLEMENTED "Forces to show menu entries and dialogs just to give impression about development plans for Kexi. Only recommended for test/development versions." OFF)

# Experimental:
option(KEXI_SCRIPTS_SUPPORT "Experimental: Enable scripting in Kexi" ON)
option(KEXI_PROJECT_TEMPLATES "Experimental: Enable support for project templates in Kexi" OFF)
option(KEXI_AUTORISE_TABBED_TOOLBAR "Experimental: Autorise the main tabbed toolbar in Kexi" OFF)

add_definitions(
  -DKEXI_NO_CURSOR_PROPERTY
  -DKEXI_NO_CTXT_HELP
  -DKEXI_NO_SUBFORM
  -DKEXI_NO_QUICK_PRINTING # print/print preview for tables/queries in the navigator
  -DKEXI_NO_AUTOFIELD_WIDGET
)

#no default: add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44010)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kexi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kexi.h )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${KOMAIN_INCLUDES}
  ${KOPROPERTY_INCLUDES}
  ${CALLIGRADB_INCLUDES}
  ${CMAKE_SOURCE_DIR}/libs
)

add_subdirectory( kexiutils )

macro_optional_find_package(MySQL)
macro_log_feature(MYSQL_FOUND "libmysqlclient" "MySQL Client Library" "http://www.mysql.com" FALSE "" "Required by Kexi MySQL driver")

set (PQXX_MIN_VERSION "3.0.0")
set (PQXX_MAX_VERSION "5.0.0")

macro_optional_find_package(CalligraPostgreSQL)
macro_log_feature(POSTGRESQL_FOUND "libpq" "C application programmer's interface to PostgreSQL" "http://www.postgresql.org" FALSE "" "Required by Kexi PostgreSQL driver")

pkg_check_modules (PQXX libpqxx)

if (POSTGRESQL_FOUND AND PQXX_FOUND)
   if (PQXX_VERSION VERSION_GREATER PQXX_MIN_VERSION AND PQXX_VERSION VERSION_LESS PQXX_MAX_VERSION)
      macro_log_feature(PQXX_FOUND "libpqxx" "Official C++ client API for PostgreSQL" "http://pqxx.org/development/libpqxx/" FALSE "" "Required by Kexi PostgreSQL driver")
   else ()
      macro_log_feature(FALSE "libpqxx" "Official C++ client API for PostgreSQL, version >= ${PQXX_MIN_VERSION} and older than ${PQXX_MAX_VERSION}" "http://pqxx.org/development/libpqxx/" FALSE "" "Required by Kexi PostgreSQL driver")
   endif ()
endif ()

macro_optional_find_package(FreeTDS)
macro_log_feature(FREETDS_FOUND "FreeTDS" "Open source implementation of the TDS (Tabular Data Stream) protocol" "http://www.freetds.org" FALSE "" "Required by Kexi Sybase driver")

macro_optional_find_package(XBase)
macro_log_feature(XBASE_FOUND "XBase" "XBase compatible C++ class library" "http://linux.techass.com/projects/xdb" FALSE "" "Required by Kexi XBase driver")

add_subdirectory( kexidb )
add_subdirectory( core )
add_subdirectory( widget )
add_subdirectory( data )
add_subdirectory( pics )
add_subdirectory( plugins )
add_subdirectory( tests )

if(KEXI_MOBILE)

else()
  add_subdirectory( main )
  add_subdirectory( formeditor )
  add_subdirectory( migration )
endif()

########### next target ###############

if(KEXI_MOBILE)
  add_subdirectory( mobile )
else()
  set(kexi_SRCS main.cpp )
  kde4_add_app_icon(kexi_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/app/hi*-app-calligrakexi.png")
  kde4_add_executable(kexi ${kexi_SRCS})
  target_link_libraries(kexi
    ${KDE4_KFILE_LIBS}
    ${CALLIGRADB_LIBS}
    keximain
    kexicore
  )
  install(TARGETS kexi ${INSTALL_TARGETS_DEFAULT_ARGS})
endif()

########### install files ###############

install(PROGRAMS kexi.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kexi.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

#kde4_create_doxygen_docs( EXCLUDE 3rdparty kexidb/parser/sqlparser.h kexidb/drivers/odbc  )

=== words/CMakeLists.txt ===
project(words)

include_directories(
    ${KOMAIN_INCLUDES}
)
if(KDE4_BUILD_TESTS)
    # only with this definition will the FOO_TEST_EXPORT macro do something
    add_definitions(-DCOMPILING_TESTS)
endif()

if (SHOULD_BUILD_PART_WORDS)
    add_subdirectory( templates )
    add_subdirectory( pics )
    add_subdirectory( part )
    add_subdirectory( plugins )
    add_subdirectory( styles )
endif ()

if (SHOULD_BUILD_APP_WORDS)
    add_subdirectory( app )
endif ()

=== extras/calligra/CMakeLists.txt ===
include_directories( ${KOMAIN_INCLUDES})

set(calligra_SRCS main.cpp )

kde4_add_executable(calligra ${calligra_SRCS})

target_link_libraries(calligra komain ${KDE4_KIO_LIBS})

install(TARGETS calligra ${INSTALL_TARGETS_DEFAULT_ARGS})

=== extras/quickprint/CMakeLists.txt ===

set( QUICK_PRINT_SERVICES
)

if( SHOULD_BUILD_APP_FLOW )
    set( QUICK_PRINT_SERVICES ${QUICK_PRINT_SERVICES} flow_print.desktop )
endif()

if( SHOULD_BUILD_APP_KARBON )
    set( QUICK_PRINT_SERVICES ${QUICK_PRINT_SERVICES} karbon_print.desktop )
endif()

if( SHOULD_BUILD_APP_KRITA )
    set( QUICK_PRINT_SERVICES ${QUICK_PRINT_SERVICES} krita_print.desktop )
endif()

if( SHOULD_BUILD_APP_SHEETS )
    set( QUICK_PRINT_SERVICES ${QUICK_PRINT_SERVICES} sheets_print.desktop )
endif()

if( SHOULD_BUILD_APP_STAGE )
    set( QUICK_PRINT_SERVICES ${QUICK_PRINT_SERVICES} stage_print.desktop )
endif()

if( SHOULD_BUILD_APP_WORDS )
    set( QUICK_PRINT_SERVICES ${QUICK_PRINT_SERVICES} words_print.desktop )
endif()

install( FILES ${QUICK_PRINT_SERVICES} DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus/calligra)

=== filters/libodf2/CMakeLists.txt ===
#add_subdirectory( tests )

include_directories( ${KOODF_INCLUDES} ${KOODF2_INCLUDES} )

########### libkoodf2 ###############

set(koodf2_LIB_SRCS
    KoXmlStreamReader.cpp
    KoTable.cpp
    KoRow.cpp
    KoColumn.cpp
    KoCell.cpp
    KoCellValue.cpp
    KoDummyCellValue.cpp
    KoCellChild.cpp
    KoRawCellChild.cpp

    KoStyle.cpp
    KoTblStyle.cpp
    KoRowStyle.cpp
    KoColumnStyle.cpp
    KoCellStyle.cpp

    KoOdfStyleBase.cpp
    KoOdfStyleManager.cpp
    KoOdfStyle.cpp
    KoOdfListStyle.cpp
    KoOdfPageLayout.cpp
    KoOdfStyleProperties.cpp
    KoOdfTextProperties.cpp
    KoOdfParagraphProperties.cpp
    KoOdfListLevelProperties.cpp
    KoOdfGraphicProperties.cpp
    KoOdfPageLayoutProperties.cpp
    KoOdfHeaderFooterProperties.cpp
)

kde4_add_library(koodf2 SHARED ${koodf2_LIB_SRCS})

target_link_libraries(koodf2 koodf ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY})
target_link_libraries(koodf2 LINK_INTERFACE_LIBRARIES ${KDE4_KIO_LIBS})

set_target_properties(koodf2 PROPERTIES
    VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS koodf2 ${INSTALL_TARGETS_DEFAULT_ARGS} )


install( FILES
    koodf2_export.h

    KoStyle.h
    KoTable.h
    KoTblStyle.h
    KoColumn.h
    KoColumnStyle.h
    KoRawCellChild.h
    KoRow.h
    KoRowStyle.h
    KoCell.h
    KoCellStyle.h

    KoOdfStyleBase.h
    KoOdfStyleManager.h
    KoOdfStyle.h
    KoOdfStyleProperties.h
    KoOdfTextProperties.h
    KoOdfParagraphProperties.h
    KoOdfGraphicProperties.h
    KoOdfPageLayoutProperties.h
    KoOdfHeaderFooterProperties.h
DESTINATION ${INCLUDE_INSTALL_DIR}/calligra COMPONENT Devel)

=== filters/words/CMakeLists.txt ===
# check whether we can compile wv2

macro_optional_find_package(Iconv)
macro_log_feature(ICONV_FOUND "Iconv" "Iconv" "http://www.gnu.org/software/libiconv/" FALSE "" "Required by the msword .doc filter")
if( ICONV_FOUND )
    set( HAVE_ICONV_H 1 )
    set( ICONV_REQUIRES_CONST ${ICONV_SECOND_ARGUMENT_IS_CONST} )
endif()

include( CheckIncludeFile )

check_include_file( sys/iconv.h HAVE_SYS_ICONV_H )

# Add "COMPILE_DEFINITIONS definitions" to TRY_RUN only if we have compile definitions

# Make sure ICONV_COMPILE_DEFINITIONS will never be empty (in case we define neither HAVE_ICONV_H nor HAVE_SYS_ICONV_H),
# otherwise TRY_RUN will fail due to COMPILE_DEFINITIONS being followed by nothing

set( ICONV_COMPILE_DEFINITIONS "-DBLAH" )

if( HAVE_ICONV_H )
  set( ICONV_COMPILE_DEFINITIONS ${ICONV_COMPILE_DEFINITIONS} "-DHAVE_ICONV_H" )
endif()

if( HAVE_SYS_ICONV_H )
  set( ICONV_COMPILE_DEFINITIONS ${ICONV_COMPILE_DEFINITIONS} "-DHAVE_SYS_ICONV_H" )
endif()

try_run( MODERN_ICONV_RUN MODERN_ICONV_COMPILE
         ${CMAKE_CURRENT_BINARY_DIR}/CMakeTmp
         ${CMAKE_SOURCE_DIR}/cmake/TestModernIconv.c
         CMAKE_FLAGS "-DLINK_LIBRARIES:STRING=${ICONV_LIBRARIES}"
                     "-DINCLUDE_DIRECTORIES:STRING=${ICONV_INCLUDE_DIR}"
         COMPILE_DEFINITIONS ${ICONV_COMPILE_DEFINITIONS} )

if( MODERN_ICONV_RUN GREATER 0 OR NOT MODERN_ICONV_COMPILE )
  message( STATUS "wv2 depends on a modern iconv installation, supporting UNICODELITTLE and" )
  message( STATUS "UNICODEBIG. The detected iconv version doesn't support these conversions." )
  message( STATUS "" )
  message( STATUS "Please get a new libiconv from http://www.gnu.org/software/libiconv/" )
  message( STATUS "You might want to install the library to some alternative directory, in" )
  message( STATUS "order not to overwrite your current installation. Please use the options" )
  message( STATUS "-DICONV_INCLUDE_DIR=DIR and -DICONV_LIBRARIES=DIR to specify the location." )
  message( STATUS "" )
  set(ICONV_FOUND FALSE)
endif()


include_directories(${KOMAIN_INCLUDES} )

if(SHOULD_BUILD_FILTER_APPLIXWORD_TO_ODT)
    add_subdirectory( applixword )
endif()

add_subdirectory( wordperfect )

add_subdirectory( works )

add_subdirectory( ascii )

add_subdirectory( wiki )

add_subdirectory( rtf )

add_subdirectory( epub )

if(SHOULD_BUILD_FILTER_ODT_TO_MOBI)
    add_subdirectory( mobi )
endif()

if(SHOULD_BUILD_FILTER_DOC_TO_ODT)
    add_subdirectory(msword-odf)
endif()

if(SHOULD_BUILD_FILTER_DOCX_TO_ODT)
    add_subdirectory( docx )
endif()

=== flow/part/CMakeLists.txt ===
project(flow)

include_directories( ${KOPAGEAPP_INCLUDES})

### flowprivate ###
set(flowprivate_LIB_SRCS
  FlowFactory.cpp
  FlowPart.cpp
  FlowDocument.cpp
  FlowView.cpp
  #FlowCanvas.cpp
  #FlowPage.cpp
  #FlowLayout.cpp
)

kde4_add_library(flowprivate SHARED ${flowprivate_LIB_SRCS})

target_link_libraries(flowprivate kopageapp)
target_link_libraries(flowprivate LINK_INTERFACE_LIBRARIES kopageapp)

set_target_properties(flowprivate PROPERTIES
    VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS flowprivate  ${INSTALL_TARGETS_DEFAULT_ARGS})

### flowpart ###
set(flowpart_PART_SRCS FlowFactoryInit.cpp )

kde4_add_plugin(flowpart ${flowpart_PART_SRCS})

target_link_libraries(flowpart flowprivate)

install(TARGETS flowpart DESTINATION ${PLUGIN_INSTALL_DIR})

### kdeinit flow ###
set(flow_KDEINIT_SRCS main.cpp )

kde4_add_app_icon(flow_KDEINIT_SRCS "../pics/hi*-app-calligraflow.png")

kde4_add_kdeinit_executable(calligraflow ${flow_KDEINIT_SRCS})

target_link_libraries(kdeinit_calligraflow komain)

install(TARGETS kdeinit_calligraflow ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(calligraflow kdeinit_calligraflow)
install(TARGETS calligraflow ${INSTALL_TARGETS_DEFAULT_ARGS})

### desktop files ###
install( FILES flowpart.desktop DESTINATION ${SERVICES_INSTALL_DIR}/calligra)
install( PROGRAMS flow.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES flow.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)

### GUI files ###
install( FILES flow.rc DESTINATION ${DATA_INSTALL_DIR}/flow)
install( FILES flowrc DESTINATION ${CONFIG_INSTALL_DIR} )
if(APPLE)
   install( FILES ${CMAKE_CURRENT_BINARY_DIR}/flow_KDEINIT_SRCS.icns DESTINATION ${BUNDLE_INSTALL_DIR}/calligraflow.app/Contents/Resources)
endif()

=== kexi/main/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44019)

include_directories(  ${CMAKE_SOURCE_DIR}/kexi ${CMAKE_SOURCE_DIR}/kexi/core 
${CMAKE_SOURCE_DIR}/kexi/kexiutils
${CMAKE_SOURCE_DIR}/kexi/main ${CMAKE_SOURCE_DIR}/kexi/main/startup
${CMAKE_SOURCE_DIR}/kexi/widget ${CMAKE_BINARY_DIR}/kexi/widget
${CMAKE_SOURCE_DIR}/libs ${KOMAIN_INCLUDES} ${KDE4_INCLUDES}  )

set(QT_USE_QTUITOOLS true)

########### next target ###############

set(keximain_LIB_SRCS 
KexiMainWindow.cpp 
KexiMenuWidget.cpp
kexifinddialog.cpp
kexistatusbar.cpp 
#TODO: kexinewstuff.cpp
KexiSearchLineEdit.cpp
KexiUserFeedbackAgent.cpp
KexiBugReportDialog.cpp

startup/KexiNewProjectAssistant.cpp
startup/KexiOpenProjectAssistant.cpp
startup/KexiWelcomeAssistant.cpp
startup/KexiWelcomeStatusBar.cpp
startup/KexiImportExportAssistant.cpp
startup/KexiStartupDialog.cpp
startup/KexiStartup.cpp
startup/KexiTemplatesModel.cpp
startup/KexiRecentProjectsModel.cpp
startup/KexiAssistantMessageHandler.cpp
startup/KexiPasswordPage.cpp

#todo printing/kexisimpleprintingengine.cpp
#todo printing/kexisimpleprintingpagesetup.cpp
#todo printing/kexisimpleprintingpart.cpp
#todo printing/kexisimpleprintpreviewwindow.cpp

)

kde4_add_ui_files(keximain_LIB_SRCS
  kexifinddialog.ui
  startup/KexiProjectStorageTypeSelectionPage.ui
  startup/KexiServerDBNamePage.ui
  startup/KexiMainImportExportPage.ui
)

kde4_add_library(keximain SHARED ${keximain_LIB_SRCS})

target_link_libraries(
    keximain
    kexidb
    kexicore
    kexiutils
    ${KOPROPERTY_LIBS}
    ${CALLIGRADB_LIBS}
    kexiextendedwidgets
    kexiguiutils
    keximigrate
#TODO:    ${KDE4_KNEWSTUFF_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KFILE_LIBS}
    ${QT_QTUITOOLS_LIBRARY}
)

set_target_properties(keximain PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION} )
install(TARGETS keximain  ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(status)
add_subdirectory(tests)

=== kexi/widget/CMakeLists.txt ===
add_subdirectory( utils )
add_subdirectory( dataviewcommon )
add_subdirectory( relations )
  
if(KEXI_MOBILE)

else()
  add_subdirectory( tableview )
endif()

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44023)

include_directories( ${CMAKE_SOURCE_DIR}/kexi ${CMAKE_SOURCE_DIR}/kexi/widget/tableview ${CMAKE_SOURCE_DIR}/kexi/core ${KOMAIN_INCLUDES} ${CMAKE_SOURCE_DIR}/libs ${KDE4_INCLUDES}  ${CMAKE_SOURCE_DIR}/kexi/kexidb )


########### next target ###############

set(kexiextendedwidgets_LIB_SRCS
    fields/KexiFieldComboBox.cpp
    fields/KexiFieldListModel.cpp
    fields/KexiFieldListModelItem.cpp
    fields/KexiFieldListView.cpp

    navigator/KexiProjectModel.cpp
    navigator/KexiProjectModelItem.cpp
    navigator/KexiProjectItemDelegate.cpp
    navigator/KexiProjectNavigator.cpp
    navigator/KexiProjectTreeView.cpp

    properties/KexiCustomPropertyFactory.cpp
    properties/KexiCustomPropertyFactory_p.cpp
    properties/KexiPropertyEditorView.cpp
    properties/KexiPropertyPaneViewBase.cpp

    kexiquerydesignersqleditor.cpp
    kexiqueryparameters.cpp
    kexisectionheader.cpp
    kexidbdrivercombobox.cpp
    kexieditor.cpp
    KexiDataSourceComboBox.cpp
    KexiObjectInfoLabel.cpp
    kexicharencodingcombobox.cpp
    KexiDBTitlePage.cpp
    KexiProjectSelectorWidget.cpp
    kexislider.cpp
    KexiServerDriverNotFoundMessage.cpp
    KexiNameWidget.cpp
    KexiNameDialog.cpp
    KexiStartupFileHandler.cpp
  )

if (KEXI_MOBILE)

else ()
  list(APPEND kexiextendedwidgets_LIB_SRCS
    #navigator/KexiProjectListView.cpp
    #navigator/KexiProjectListViewItem.cpp
    kexidbconnectionwidget.cpp 
# TODO replace use of KexiProjectListView and KexiProjectListViewList (with KexiProjectNavigator) 
#      in kexiactionselectiondialog and remove them
    kexiprjtypeselector.cpp
    KexiConnectionSelectorWidget.cpp
    KexiFileWidget.cpp
    KexiPasswordWidget.cpp
    KexiDBPasswordDialog.cpp
  )
  kde4_add_ui_files(kexiextendedwidgets_LIB_SRCS
    KexiConnectionSelector.ui
    kexidbconnectionwidget.ui
    kexidbconnectionwidgetdetails.ui
    kexiprjtypeselector.ui
    KexiPasswordWidget.ui
  )
endif ()

kde4_add_ui_files(kexiextendedwidgets_LIB_SRCS
    KexiDBTitlePage.ui
    KexiProjectSelector.ui
)

kde4_add_library(kexiextendedwidgets SHARED ${kexiextendedwidgets_LIB_SRCS})

target_link_libraries(
    kexiextendedwidgets
    kexidataviewcommon
    kexiutils
    kexiguiutils
    kexicore
    ktexteditor
    kexidb
    ${CALLIGRADB_LIBS}
    ${KOPROPERTY_LIBS}
    ${KDE4_KDEUI_LIBS}
)

if (KEXI_MOBILE)

else()
  target_link_libraries(
    kexiextendedwidgets
    ${KDE4_KFILE_LIBS}
    )
endif()

set_target_properties(kexiextendedwidgets PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION} )
install(TARGETS kexiextendedwidgets  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libs/koproperty/CMakeLists.txt ===
add_subdirectory( tests )

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44022)

set(libkopropertyeditors_SRCS
  editors/utils.cpp
  editors/booledit.cpp
  editors/coloredit.cpp
  editors/combobox.cpp
  editors/cursoredit.cpp
  editors/dateedit.cpp
  editors/datetimeedit.cpp
#  editors/dummywidget.cpp
  editors/fontedit.cpp
  editors/pixmapedit.cpp
  editors/pointedit.cpp
  editors/pointfedit.cpp
  editors/rectedit.cpp
  editors/sizeedit.cpp
  editors/sizefedit.cpp
  editors/sizepolicyedit.cpp
  editors/spinbox.cpp
  editors/stringedit.cpp
  editors/linestyleedit.cpp
#  editors/stringlistedit.cpp
#  editors/symbolcombo.cpp
  editors/timeedit.cpp
#  editors/urledit.cpp
)

include_directories(${KOPROPERTY_INCLUDES})

########### next target ###############

set(koproperty_LIB_SRCS
   Property.cpp
   Set.cpp
   Factory.cpp
   DefaultFactory.cpp
   EditorView.cpp
   EditorDataModel.cpp
   Utils.cpp
   ${libkopropertyeditors_SRCS}
)

kde4_add_library(koproperty SHARED ${koproperty_LIB_SRCS})
target_link_libraries(koproperty ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} kowidgets)
target_link_libraries(koproperty LINK_INTERFACE_LIBRARIES ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} kowidgets)

set_target_properties(koproperty PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION})
install(TARGETS koproperty ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

kde4_install_icons(${DATA_INSTALL_DIR}/koproperty/icons)

if(FALSE) # TODO: install when we move to independent place
  install( FILES
    Factory.h
    koproperty_global.h
    koproperty_export.h
    Property.h
    Set.h
    Utils.h
    Factory.h
    EditorView.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/koproperty COMPONENT Devel
  )

  install( FILES
    editors/utils.h
    editors/booledit.h
    editors/coloredit.h
    editors/combobox.h
    editors/cursoredit.h
    editors/dateedit.h
    editors/datetimeedit.h
    editors/dummywidget.h
    editors/fontedit.h
    editors/linestyleedit.h
    editors/pixmapedit.h
    editors/pointedit.h
    editors/rectedit.h
    editors/sizeedit.h
    editors/sizepolicyedit.h
    editors/spinbox.h
    editors/spinbox.h
    editors/stringedit.h
    editors/stringlistedit.h
    editors/symbolcombo.h
    editors/timeedit.h
    editors/urledit.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/koproperty/editors COMPONENT Devel)
endif()

=== debian/changelog ===
calligra (1:2.9.11+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Create the symlink in calligra-gemini only when the package is built;
    fix arch-indep builds.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Oct 2016 23:32:39 +0200

calligra (1:2.9.11+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields.
  * Backport upstream commit 843c41decfa85e351349f7a410893ac85c9d60b7 to find
    PostgreSQL 9.6; patch upstream_cmake-find-PostgreSQL-9.6.patch.
    (Closes: #840071)
  * Make calligra-gemini start: (Closes: #840243)
    - create a symlink in the non-multi-arch library directory to the
      multi-arch installation place, as the latter option is not handled by
      kdelibs 4.x
    - add the libqtwebkit-qmlwebkitplugin dependency, as the QtWebKit module
      is used

 -- Pino Toscano <pino@debian.org>  Mon, 10 Oct 2016 21:04:44 +0200

calligra (1:2.9.11+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop from calligra-data the two mimetype definitions msooxml-all.xml, and
    x-iwork-keynote-sffkey.xml, since shared-mime-info provides them already.
  * Remove unused calligra-map-shape.install.
  * Backport upstream commit 04d61e92515f19cbd2dbb0cc06d4340ba4514a8a to fix
    build on armel/armhf; patch upstream_fix-arm-FTBFS.patch.
  * Backport upstream commit 956bb80db4f300e4f8edeaf19d24fd61eb1932b2 to fix
    build on platforms where char is unsigned; patch
    upstream_Fix-compilation-of-PsCommentLexer.cpp-on-platforms-w.patch.
  * Update the patches:
    - add_keywords_to_desktop_files.patch: refresh
  * Update the build dependencies:
    - remove libglew-dev, and shared-desktop-ontologies: unused
    - add libxml2-dev, indirectly needed by the pkg-config files of
      libetonyek, and libvisio (it was not an issue, as the non-pkg-config
      way was then used)
  * Remove obsolete parts in README.source.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Sep 2016 11:05:45 +0200

calligra (1:2.9.11+dfsg-1) unstable; urgency=low

  * Team upload.
  * New upstream release. (Closes: #787033)
  * The upload (with rebuild) should make all the binaries installable again.
    (Closes: #806454)

  [ Dmitry Smirnov ]
  * Added "debian/TODO.Debian".
  * Patchworks:
    - eigen3.patch
    - eigen3_in_tests
    - install_images_in_datadir
    - kisjpegtest_call_kisexiv2_initialize
    - switch-to-librevenge-based-import-libs.patch
    + no-planconvert-jar.patch
    * patches refreshed, sorted and renamed consistently ending with ".patch".
  * control:
    - dropped unnecessary versioned Build-Deps.
    - dropped "krita-sketch" package.
    + updated Vcs-Browser URL.
    + Standards-Version: 3.9.6.
    + turned "krita-gemini" into transitional package.
  * Build-Depends:
    + libboost-system-dev
    + postgresql-server-dev-9.4
    + libgit2-dev
  * rules: explicitly select QT4 to fix FTBFS.
  * calligra-libs.install:
    + liblibglobal.so.1*
    + liblibkispsd.so.1*
  * calligrawords.install:
    + libkoversion.so.1*
  * krita.install:
    + libkritacolor.so.1*
  * calligraplan: do not install "PlanConvert.jar" + patch.
  * Gemini:
    + Use fonts from "texlive-fonts-extra" instead of bundled ones.
    + Split Gemini arch-indep files into -data package.
  * Updated "package-name-doesnt-match-sonames" lintian-overrides.
  * Added "no-symbols-control-file" lintian-overrides.
  * Converted "debian/prune-nonfree" target to "copyright/Files-Excluded";
    Added "repacksuffix=+dfsg" to "debian/watch".
  * Copyright: complete rewrite.
  * Files-Excluded:
    + 3rdparty/google-breakpad
    + filters/libmso/generated/mso.jar
    + filters/plan/mpxj/planconvert/jar/PlanConvert.jar
  * watch: updated and corrected watch file.
  * Lintianisation:
    - xs-testsuite-header-in-debian-control

  [ Raúl Sánchez Siles ]
  * Refresh xbase64.diff patch
  * Refresh switch-to-librevenge-based-import-libs.patch

  [ Pino Toscano ]
  * watch file: ignore +dfsg suffix in Debian version number.
  * Exclude more stuff with the repack:
    - "windows" and "winquirks" subdirectories, as containing only material
      for Windows
  * Drop krita entirely from this source, since a newer version of it is going
    to be provided by a separate krita source:
    - add the whole "krita" subdirectory to the Excluded-Files, so it is
      removed from the repacked tarball (making it a lot smaller)
    - pass -DBUILD_krita=OFF to cmake, to make sure it is not used
    - drop the krita, and krita-data binaries
    - drop the removal of krita_ora.xml, since it is no more installed
    - drop paragraph about Vc in README.source
    - comment out the krita dependency in the calligra metapackage for now
    - drop the local krita man page
    - drop krita bits from copyright
    - update the patches accordingly:
      - add_keywords_to_desktop_files.patch: drop krita bit
      - cmake-set_kritasketch_lib_soversion.patch: drop, no more needed
      - filter_registry_not_a_singleton.patch: drop, no more needed
      - imports_search_path.patch: drop, no more needed
  * Drop old leftovers of krita-sketch package.
  * Update Vcs-* fields.
  * Drop unneeded build dependencies:
    - libexiv2-dev, libfftw3-dev, libkdcraw-dev, libopencolorio-dev,
      libopenjpeg-dev, libtiff-dev, and libxi-dev: used for krita only
      (Closes: #826808)
    - libkactivities-dev: the kde4 version is not useful anymore
    - libmarble-dev: it is Qt5 only now
      - drop kexi-map-form-widget and calligra-reports-map-element, since they
        are no more built (Closes: #818395)
    - nepomuk-core-dev: Nepomuk was phased out and removed already
  * Replace the libmysqlclient-dev with default-libmysqlclient-dev, so the
    default MySql implementation in Debian is used.
  * Replace deprecated libgsl0-dev build dependency with libgsl-dev.
  * Replace the postgresql-server-dev-9.4 build dependency with
    postgresql-server-dev-all: while the latter will install more packages,


=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <perso@adrieng.fr>,
           Raúl Sánchez Siles <rasasi78@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               default-jdk,
               default-libmysqlclient-dev,
               freetds-dev,
               kdelibs5-dev,
               kdepimlibs5-dev (>= 4:4.6.0),
               libattica-dev,
               libboost-dev,
               libboost-system-dev,
               libeigen3-dev,
               libetonyek-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgit2-dev,
               libglib2.0-dev,
               libgsl-dev,
               libicu-dev,
               libjpeg-dev,
               liblcms2-dev (>= 2.4),
               libodfgen-dev,
               libopenexr-dev,
               libphononexperimental-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpoppler-qt4-dev,
               libpq-dev,
               libpqxx-dev,
               libqca2-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libsoprano-dev,
               libspnav-dev,
               libsqlite3-dev,
               libvisio-dev (>= 0.1),
               libwpd-dev (>= 0.10),
               libwpg-dev (>= 0.3),
               libwps-dev (>= 0.4),
               libxbase64-dev,
               libxml2-dev,
               okular-dev,
               pkg-config,
               pkg-kde-tools,
               postgresql-server-dev-all,
               pstoedit,
               shared-mime-info,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://www.calligra.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/calligra.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/calligra.git

Package: calligra
Architecture: all
Depends: braindump (>= ${source:Version}),
         calligraauthor (>= ${source:Version}),
         calligraflow (>= ${source:Version}),
         calligraplan (>= ${source:Version}),
         calligrasheets (>= ${source:Version}),
         calligrastage (>= ${source:Version}),
         calligrawords (>= ${source:Version}),
         karbon (>= ${source:Version}),
         kexi (>= ${source:Version}),
#         krita (>= ${source:Version}),
         ${misc:Depends}
Recommends: calligra-semanticitems
Homepage: http://www.calligra.org
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pstoedit
Breaks: calligra-data (<< 1:2.4.3-2), koffice-data (<< 1:2.4)
Replaces: calligra-data (<< 1:2.4.3-2), koffice-data (<< 1:2.4)
Homepage: http://www.calligra.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: kexi
Architecture: any
Section: database
Depends: calligra-libs (= ${binary:Version}),
         kexi-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kexi-calligrasheets-driver,
          kexi-mysql-driver,
          kexi-postgresql-driver,
          kexi-sybase-driver,
          kexi-xbase-driver
Replaces: koffice-doc-html
Conflicts: koffice-doc-html
Homepage: http://www.calligra.org/kexi/
Description: integrated database environment for the Calligra Suite
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 Kexi is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.
 .
 This package is part of the Calligra Suite.

Package: kexi-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kexi (<< 1:2.7.1)
Replaces: kexi (<< 1:2.7.1)
Description: data files for Kexi
 This package contains architecture-independent data files for Kexi, the
 database program shipped with the Calligra Suite.
 .
 See the kexi package for further information.
 .
 This package is part of the Calligra Suite.

Package: kexi-calligrasheets-driver
Architecture: any
Depends: calligrasheets (= ${binary:Version}),
         kexi (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tables plugin for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Calligra Tables in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: MySQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for MySQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-postgresql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: PostgreSQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for PostgreSQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-xbase-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: XBase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for XBase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-sybase-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: Sybase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Sybase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-web-form-widget
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: web form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a web widget for Kexi using QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-web-element
Architecture: any
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: web element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This package provides a web element for Calligra Reports, based on QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: calligrasheets
Architecture: any
Section: math
Replaces: calligra-data (<< 1:2.4.3-2),
          koffice-data (<< 1:2.4),
          kspread (<< 1:2.4)
Breaks: calligra-data (<< 1:2.4.3-2),
        koffice-data (<< 1:2.4),
        kspread (<< 1:2.4)
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Homepage: http://www.calligra.org/sheets/
Description: spreadsheet for the Calligra Suite
 Tables is a powerful spreadsheet application.  It is scriptable and
 provides both table-oriented sheets and support for complex mathematical
 formulae and statistics. It is the successor of KSpread.
 .
 This package is part of the Calligra Suite.

=== debian/rules ===
#!/usr/bin/make -f

lib_pkgs := calligra-libs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export QT_SELECT=4

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with kde

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DKDE4_BUILD_TESTS=OFF -DBUILD_krita=OFF

override_dh_auto_install:
	dh_auto_install
	# Remove development stuff:
	# - symlinks of libraries
	find debian/tmp/usr/lib -name '*.so' -type l -print -delete
	# - headers
	rm -rfv debian/tmp/usr/include
	# - cmake configuration files
	rm -rfv debian/tmp/usr/share/kde4/apps/cmake
	# Remove mimetypes already provided by shared-mime-info
	rm -f debian/tmp/usr/share/mime/packages/msooxml-all.xml
	rm -f debian/tmp/usr/share/mime/packages/x-iwork-keynote-sffkey.xml

override_dh_install:
	dh_install --list-missing

override_dh_link:
	# the calligra-gemini components are installed in a multi-arch library
	# directory, but kdelibs 4.x does not support that -- instead,
	# create a simple symlink to avoid shuffling things too much
	if [ -d debian/calligra-gemini ]; then \
	    ln -s $(DEB_HOST_MULTIARCH)/calligra $(CURDIR)/debian/calligra-gemini/usr/lib/calligra; \
	fi
	dh_link

override_dh_strip:
	dh_strip --dbgsym-migration='calligra-dbg (<< 1:2.9.11)'

override_dh_shlibdeps:
	dh_shlibdeps $(addprefix -p,$(lib_pkgs)) -- -xkde-runtime -xkdepim-runtime
	dh_shlibdeps --remaining-packages

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg\d*$// \
 http://download.kde.org/stable/calligra-([\d\.]+)/calligra-([\d\.]+)\.tar\.(?:bz2|xz)
